﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace FindToolbarTest
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class SecondPage : ContentPage
	{
		public SecondPage ()
		{
         Title = "The second page";
			InitializeComponent ();

         ToolbarItems.Add(new ToolbarItem("test", "icon.png", () => { }));
		}

      private void Button_Clicked(object sender, EventArgs e)
      {
         DependencyService.Get<IToolbarItemBadgeService>().SetBadgeState();
      }
   }

   public interface IToolbarItemBadgeService
   {
      void SetBadgeState();
   }
}